Bug 493711 - Software Channel ACL, normal user can click on "manage software channels"
Software Channel ACL, normal user can click on "manage software channels"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
http://grandprix.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-04-02 15:15 EDT by wes hayutin
Modified: 2010-10-23 04:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss 1 (360.87 KB, image/png)
2009-04-02 15:16 EDT, wes hayutin
no flags Details
ss 2 (346.59 KB, image/png)
2009-04-02 15:16 EDT, wes hayutin
no flags Details
Normal user Channels tab (see left nav) (204.87 KB, image/png)
2009-04-07 14:15 EDT, Jay Dobies
no flags Details
Normal user clicking Manage Channels (155.93 KB, image/png)
2009-04-07 14:17 EDT, Jay Dobies
no flags Details

  None (edit)
Description wes hayutin 2009-04-02 15:15:49 EDT
Description of problem:

Satellite-5.3.0-RHEL5-re20090327.0-i386-embedded-oracle.iso

1. create a custom channel
2. make the channel protected
3. create a normal user
4. add that user as a subscriber to the channel
5. log in as the normal user
6. click channels, manage software channels

get

Permission Error

The link for manage software channels should NOT be present for a normal user
Comment 1 wes hayutin 2009-04-02 15:16:16 EDT
Created attachment 337878 [details]
ss 1
Comment 2 wes hayutin 2009-04-02 15:16:39 EDT
Created attachment 337879 [details]
ss 2
Comment 3 wes hayutin 2009-04-07 13:57:22 EDT
step 3.5
go to channel
check the option  -  	Only selected users within your organization may subscribe to this channel.
Comment 4 Jay Dobies 2009-04-07 14:14:16 EDT
I wasn't able to reproduce this on Spacewalk 0.5. Just to be safe, I subscribed the user through both the channel's subscriber tab and User -> <user> -> Channel Permissions and both worked correctly.
Comment 5 Jay Dobies 2009-04-07 14:15:07 EDT
Created attachment 338558 [details]
Normal user Channels tab (see left nav)
Comment 6 Jay Dobies 2009-04-07 14:17:03 EDT
Created attachment 338560 [details]
Normal user clicking Manage Channels
Comment 7 Jay Dobies 2009-04-07 14:17:48 EDT
Pitching to QA to check again.
Comment 8 wes hayutin 2009-04-09 13:10:05 EDT
looks good now
verified in main org and new org
Comment 10 Miroslav Suchý 2009-08-05 11:19:56 EDT
I still can see the link "manage software channels" but when I click it I did not get permission error, but normal page with empty list of channels are presented.(as described in #6)
Which seem to be correct.
verified in stage.
Comment 11 Brandon Perkins 2009-09-10 16:35:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.